%define upstream_name    JSON-RPC
%define upstream_version 1.06

# For not requiring apache-mod_perl . See:
# https://bugs.mageia.org/show_bug.cgi?id=17570 (MGA#17570)
%define __requires_exclude perl\\((Apache2|APR)::[^\\)]+\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    JSON RPC 2.0 Server Implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Plack)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Router::Simple)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
JSON::RPC is a set of modules that implement JSON RPC 2.0 protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.60.0-6.mga9
+ Revision: 1830650
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-5.mga8
+ Revision: 1495234
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-4.mga7
+ Revision: 1268855
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1028867
- Rebuild for perl 5.22.2

* Fri Jan 22 2016 shlomif <shlomif> 1.60.0-2.mga6
+ Revision: 926537
- Exclude mod_perl from the reqs. (MGA#17570)

* Tue Jul 07 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 852590
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 746000
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 685145
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.40.0-1.mga5
+ Revision: 639998
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 512419
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 368789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.30.0-1.mga3
+ Revision: 267367
- update to 1.03

* Sun Jan 01 2012 jquelin <jquelin> 1.10.0-2.mga2
+ Revision: 189433
- fix summary & description (mga#3905)

* Fri Dec 16 2011 kharec <kharec> 1.10.0-1.mga2
+ Revision: 182677
- update to 1.01

* Sun Jan 23 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 33884
- mageia rebuild
- imported package perl-JSON-RPC


* Fri Oct 22 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.960.0-1mdv2011.0
+ Revision: 587225
- import perl-JSON-RPC

